language: rust

rust:
    - 1.4.0

os:
    #- linux
    - osx

before_script:
    # g++4.8 for C++11 which is required by rocksdb
    #- if [ $TRAVIS_OS_NAME == "linux" ]; then 
        #sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
        #sudo apt-get update -y -qq
        #sudo apt-get install -qq --yes --force-yes g++-4.8
        #sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.8 50

        #wget https://github.com/facebook/rocksdb/archive/rocksdb-3.13.tar.gz
        #tar xvf rocksdb-3.13.tar.gz && cd rocksdb-rocksdb-3.13 && make shared_lib
        #sudo make install
        #cd ..
      #else
        brew update
        brew install rocksdb
      #fi

after_success:
    #- if [ $TRAVIS_OS_NAME == "linux" ]; then 
        #sudo apt-get install libcurl4-openssl-dev libelf-dev libdw-dev
        #wget https://github.com/SimonKagstrom/kcov/archive/master.tar.gz
        #tar xzf master.tar.gz && mkdir kcov-master/build && cd kcov-master/build && cmake .. && make && sudo make install && cd ../.. &&
        #kcov --coveralls-id=$TRAVIS_JOB_ID --exclude-pattern=/.cargo target/kcov target/debug/ethcore_util-*
      #fi
